<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */
    window.addEventListener("load", function () {
      var countries = ['Ukraine', 'Poland', 'USA'];
      var ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
      var polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
      var usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];
      
      (function(){
        var select = document.querySelector('#countries');
        makeSelect(select, countries);
        outputCites.call(select);

        select.addEventListener('change', outputCites);
      })();

      function makeSelect (select, options){
        options.forEach(function(el){
          var option = new Option( el, el);
          select.appendChild(option);
        });
      }
      function outputCites(){
        var val = this.value,
            outField = document.querySelector('#result'),
            select = document.createElement('select');
          
        select.classList.add("sel_cites");
        outField.innerHTML = '';
        outField.appendChild(select);
        select.addEventListener('change', generationWeather);

        if(val === "Ukraine"){
          makeSelect (select, ukraineCity)
        }
        else if(val === "Poland"){
          makeSelect (select, polandCity)
        }
        else if(val === "USA"){
          makeSelect (select, usaCity)
        }
        else{
          console.log('array doesn\'t exist');
        }
        generationWeather();
      }
      function generationWeather(){
        var arr = null,
            weather = null,
            c = randNum(-10, 40),
            nodeP = document.createElement('p');
            nodeImg = document.createElement('img');
            outField = document.querySelector('#result'),
            country = document.querySelector('#countries').value,
            city = document.querySelector('.sel_cites').value;
        
        nodeP.classList.add('weather');

        if(c >= -10 && c <= 0){
          arr = [['Солнечно', './img/sun.png'], ['Легкий снегопад', './img/snowfall.png'], ['Сильный снегопад', './img/big_snowfall.png']];
        }
        else if(c > 0 && c <= 30){
          arr = [['Солнечно', './img/sun.png'], ['Дождь', './img/rain.png'], ['Ветер', './img/wind.png'], ['Сильный дождь', './img/big_rain.png']];
        }
        else if(c > 30 && c <= 40 ){
          arr = [['Солнечно', './img/sun.png'], ['Засуха', './img/drought.png'], ['Ветер', './img/wind.png']];
        }

        var rand = randNum(0, arr.length - 1);

        weather = arr[rand][0];
        if(document.querySelector('.weather')){
          document.querySelector('.weather').remove();
        }
        nodeP.innerHTML = `${country}. В ${city} ${weather} ${c} градусов.`;
        nodeImg.setAttribute('src', arr[rand][1])
        nodeP.appendChild(nodeImg);
        outField.appendChild(nodeP);

        
      } 
      //Random number
      function randNum(min, max){
        return Math.round(Math.random() * (max - min) + min);

      }
      // setInterval(function(){
      //     console.log(randNum(-10, 40))
      // },100) 
    });
  </script>
</head>
<body>

  <select id="countries">

  </select>

  <div id="result">


  </div>



  <style>
    img{
      display: block;
    }
  </style>
</body>
</html>
